package com.bonus.canteen.core.supply.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.bonus.canteen.core.utils.SysUtil;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;

@TableName(
   value = "drp_supplier_deliver",
   autoResultMap = true
)
public class DrpSupplierDeliverVO {
   private Long id;
   @ApiModelProperty("送货人id")
   private Long deliveryId;
   @ApiModelProperty("送货人名称")
   private String deliveryMan;
   @ApiModelProperty("送货人电话")
   @TableField(
      value = "delivery_phone"
   )
   private String deliveryPhone;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
      value = "crtime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @TableField(
      value = "uptime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("健康证有效期")
   private LocalDate healthValidity;
   @ApiModelProperty("健康证图片")
   private String healthImageUrl;

   public String getHealthImageUrl() {
      return SysUtil.getCutFileUrl(this.healthImageUrl);
   }

   public Long getId() {
      return this.id;
   }

   public Long getDeliveryId() {
      return this.deliveryId;
   }

   public String getDeliveryMan() {
      return this.deliveryMan;
   }

   public String getDeliveryPhone() {
      return this.deliveryPhone;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public LocalDate getHealthValidity() {
      return this.healthValidity;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setDeliveryId(final Long deliveryId) {
      this.deliveryId = deliveryId;
   }

   public void setDeliveryMan(final String deliveryMan) {
      this.deliveryMan = deliveryMan;
   }

   public void setDeliveryPhone(final String deliveryPhone) {
      this.deliveryPhone = deliveryPhone;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setHealthValidity(final LocalDate healthValidity) {
      this.healthValidity = healthValidity;
   }

   public void setHealthImageUrl(final String healthImageUrl) {
      this.healthImageUrl = healthImageUrl;
   }


   public String toString() {
      Long var10000 = this.getId();
      return "DrpSupplierDeliverVO(id=" + var10000 + ", deliveryId=" + this.getDeliveryId() + ", deliveryMan=" + this.getDeliveryMan() + ", deliveryPhone=" + this.getDeliveryPhone() + ", supplierId=" + this.getSupplierId() + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", upby=" + this.getUpby() + ", uptime=" + String.valueOf(this.getUptime()) + ", healthValidity=" + String.valueOf(this.getHealthValidity()) + ", healthImageUrl=" + this.getHealthImageUrl() + ")";
   }
}
